<?php

namespace Aedes\EveryPay\Block;


class RedirectForm extends \Magento\Framework\View\Element\Template
{
    /**
     * @var \Aedes\EveryPay\Model\Config
     */
    protected $config;

    /**
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Aedes\EveryPay\Model\Config $config
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Aedes\EveryPay\Model\Config $config,
        array $data = []
    ) {
        $this->config = $config;

        parent::__construct($context, $data);
    }

    /**
     * @return bool
     */
    public function isIFrame()
    {
        return $this->config->getFormType() ===  \Aedes\EveryPay\Model\Adminhtml\Source\FormType::FORM_TYPE_IFRAME;
    }
}